# Gaussian HF optimisation

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")


gaussian = Gaussian(frag=water, method="hf", basis="3-21g")

opt = Opt(theory=gaussian,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Test result
# NWChem
eref = -75.58595974
# Tcl-ChemShell/Gaussian09
eref = -75.585959758100


testutils.validate(ecalc, eref)
